Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.wsc
Class RegistrarMapper

    java.lang.Object
      com.arjuna.wsc.RegistrarMapper

public class RegistrarMapper
extends java.lang.Object

The registrar mapper.

Author:
  kevin

Constructor Summary
`protected` | `RegistrarMapper()` Default constructor

Method Summary
`void` | `addRegistrar(java.lang.String protocolIdentifier, Registrar registrar)` Add a registrar for the specified protocol identifier.
`static RegistrarMapper` | `getFactory()` Get the registrar mapper singleton.
`Registrar` | `getRegistrar(java.lang.String protocolIdentifier)` Get the registrar for the specified protocol identifier.
`void` | `removeRegistrar(java.lang.String protocolIdentifier)` Remove the registrar for the specified protocol identifier.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegistrarMapper

    protected RegistrarMapper()

  Default constructor

Method Detail

### getFactory

    public static RegistrarMapper getFactory()

  Get the registrar mapper singleton.

  Returns:
    The registrar mapper singleton.

### addRegistrar

    public void addRegistrar(java.lang.String protocolIdentifier,
                             Registrar registrar)

  Add a registrar for the specified protocol identifier.

  Parameters:
    `protocolIdentifier` - The protocol identifier.
    `registrar` - The registrar.

### getRegistrar

    public Registrar getRegistrar(java.lang.String protocolIdentifier)

  Get the registrar for the specified protocol identifier.

  Parameters:
    `protocolIdentifier` - The protocol identifier.
  Returns:
    The registrar.

### removeRegistrar

    public void removeRegistrar(java.lang.String protocolIdentifier)

  Remove the registrar for the specified protocol identifier.

  Parameters:
    `protocolIdentifier` - The protocol identifier.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD